import React from 'react';
import { Icon } from '@alife/next';
import DtuxHeader from '@alife/dtux-header';
import '@alife/dtux-header/build/index.css';

const Header = () => {
  const props = {
    titleIcon: <Icon type="box" />,
    title: 'Santa Demo',
    projectList: ['项目1', '项目2'],
    userArea: {
      account: '用户名',
      list: [{
        context: '用户详情',
        icon: 'account',
        key: 'userInfo',
      }, {
        context: '退出',
        icon: 'arrow-left',
        key: 'quite',
      }],
    },
    navs: [{
      content: <a href="http://www.taobao.com"><Icon type="attachment" />Taobao</a>,
    }],
  };

  return (<DtuxHeader {...props} />);
};

export default Header;
