import * as React from 'react';
import * as PropTypes from 'prop-types';

class HelmetRoute extends React.Component<any, any> {
  static propTypes = {
    title: PropTypes.string,
    spma: PropTypes.string,
    spmb: PropTypes.string,
    checksum: PropTypes.string,
  };

  static defaultProps = {
    title: null,
    spma: null,
    spmb: null,
    checksum: null,
  };

  componentDidMount() {
    const { title, spma, spmb, checksum } = this.props;
    if (title) {
      document.title = title;
    }
    const win = window as any;
    if (win.goldlog && spma && spmb && checksum) {
      win.goldlog.setPageSPM(spma, spmb);
      win.goldlog.sendPV({ pageid: '', checksum });
    }
  }
  render() {
    return (<div />);
  }
}

export default HelmetRoute;
