import React from 'react';
import DtuxSidebar from '@alife/dtux-sidebar';

const Item = DtuxSidebar.Item;

const onSelect = (itemid) => {
  console.warn('selected', itemid);
};

const Sidebar = () => (
  <DtuxSidebar
    onSelect={onSelect}
    syncWithUrl
    defaultExpandKeys={['menu1', 'menu1-1']}
    type="tree"
  >
    <Item itemId="all" text="首页" link="#/" iconType="all" />
    <Item itemId="menu1" text="Demo">
      <Item itemId="menu1-1" text="计算器示例" link="#/countDemo" iconType="clock" />
      <Item itemId="menu1-2" text="表格示例" link="#/tableDemo" iconType="table" />
    </Item>
  </DtuxSidebar>
);

export default Sidebar;
