
import util from '../util';

describe('util', () => {
  describe('number', () => {
    it('localize number', () => {
      expect(util.number.localize(null)).toBe('--');
      expect(util.number.localize(99)).toBe('99');
      expect(util.number.localize(99999)).toBe('9.99万');
      expect(util.number.localize(100000000)).toBe('1亿');
    });

    it('comma number', () => {
      expect(util.number.comma(null)).toBe('--');
      expect(util.number.comma(9800)).toBe('9,800');
    });
  });
});
