import Message from '@alife/dtux-message';
import mockJson from './_mock.json';

export default class TableDemoModel {
  dataSource = []
  current = 1
  total = 0
  pageSize = 10

  loadData() {
    setTimeout(() => {
      this.total = mockJson.length;
      this.dataSource = mockJson.slice((this.current - 1) * 10, this.current * 10);
    });
  }

  onPageChange(current) {
    this.current = current;
    this.loadData();
  }

  onDel(id) {
    Message.info(`Delete record id of ${id}`);
    this.loadData();
  }
}
